summaryrefslogtreecommitdiff
path: root/dev-python/transitions/transitions-0.8.7.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [master] <gitlab@liguros.net>2021-03-01 00:37:58 +0000
committerLiguros - Gitlab CI/CD [master] <gitlab@liguros.net>2021-03-01 00:37:58 +0000
commit8ddb1a3d1229412a438971f82d37d518a0223726 (patch)
tree83438b5ddb9d23a390f1a3fc505303d3d2223bf2 /dev-python/transitions/transitions-0.8.7.ebuild
parent9acab46e1a820daece7b2e631485c157ce2210ad (diff)
downloadbaldeagleos-repo-21.1.5.tar.gz
baldeagleos-repo-21.1.5.tar.xz
baldeagleos-repo-21.1.5.zip
Adding metadatav21.1.5
Diffstat (limited to 'dev-python/transitions/transitions-0.8.7.ebuild')
-rw-r--r--dev-python/transitions/transitions-0.8.7.ebuild41
1 files changed, 41 insertions, 0 deletions
diff --git a/dev-python/transitions/transitions-0.8.7.ebuild b/dev-python/transitions/transitions-0.8.7.ebuild
new file mode 100644
index 000000000000..efe11d4b0353
--- /dev/null
+++ b/dev-python/transitions/transitions-0.8.7.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="A lightweight, object-oriented state machine implementation in Python"
+HOMEPAGE="https://github.com/pytransitions/transitions"
+SRC_URI="https://github.com/pytransitions/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="examples"
+
+RDEPEND="
+ || (
+ dev-python/pygraphviz[${PYTHON_USEDEP}]
+ dev-python/graphviz[${PYTHON_USEDEP}]
+ )
+ dev-python/six[${PYTHON_USEDEP}]
+"
+
+DEPEND="
+ test? (
+ dev-python/dill[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pycodestyle[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_install() {
+ distutils-r1_src_install
+
+ use examples && dodoc examples/*.ipynb
+}